Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class ClientPluginDeployer.PluginFile

    java.lang.Object
      java.io.File
          org.hyperic.hq.product.ClientPluginDeployer.PluginFile

All Implemented Interfaces:
  Serializable, Comparable<File>

Enclosing class:
  ClientPluginDeployer

    public class ClientPluginDeployer.PluginFile

extends File

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.io.File
`pathSeparator, pathSeparatorChar, separator, separatorChar`

Constructor Summary
`ClientPluginDeployer.PluginFile(File parent, String child)`
`ClientPluginDeployer.PluginFile(String pathname)`
`ClientPluginDeployer.PluginFile(String parent, String child)`

Method Summary

Methods inherited from class java.io.File
`canExecute, canRead, canWrite, compareTo, createNewFile, createTempFile, createTempFile, delete, deleteOnExit, equals, exists, getAbsoluteFile, getAbsolutePath, getCanonicalFile, getCanonicalPath, getFreeSpace, getName, getParent, getParentFile, getPath, getTotalSpace, getUsableSpace, hashCode, isAbsolute, isDirectory, isFile, isHidden, lastModified, length, list, list, listFiles, listFiles, listFiles, listRoots, mkdir, mkdirs, renameTo, setExecutable, setExecutable, setLastModified, setReadable, setReadable, setReadOnly, setWritable, setWritable, toString, toURI, toURL`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClientPluginDeployer.PluginFile

    public ClientPluginDeployer.PluginFile(String pathname)

### ClientPluginDeployer.PluginFile

    public ClientPluginDeployer.PluginFile(File parent,
                                           String child)

### ClientPluginDeployer.PluginFile

    public ClientPluginDeployer.PluginFile(String parent,
                                           String child)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.